# Approve Multiple Timesheet Submissions

This endpoint allows you to approve multiple pending Timesheet Submissions at once.
This endpoint returns structured Resolution objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `resolutions` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: POST /timesheet_approvals
Version: 1.0.0

## Request fields (application/json):

  - `resolution` (object)

  - `resolution.description` (string)
    Any additional details about the resolution.

  - `resolution.submission_ids` (array, required)
    An array of Timesheet Submission IDs that will be processed in this resolution.

## Response 200 fields (application/json):

  - `resolutions` (array)

  - `resolutions.id` (integer)
    The ID of the resolution.

  - `resolutions.type` (string)
    The resolution type, either `approval`, `rejection`, or `cancellation`.

  - `resolutions.description` (string)
    Additional resolution details.

  - `resolutions.target_type` (string)
    Whether the resolution is for a timesheet submission or an expense report submission.

  - `resolutions.target_id` (integer)
    The ID of the associated submission.

  - `resolutions.user_id` (integer)
    The ID of the user who created the resolution.

  - `resolutions.account_id` (integer)
    The ID of the account the resolution belongs to.

  - `resolutions.current` (boolean)
    Indicates if the resolution is outdated or not.

  - `resolutions.created_at` (string)

  - `resolutions.updated_at` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

